//
//  main.m
//  BasicRobotSample
//	
//	Based on a basic Player/Stage example
//
//  Created by Paul Solt on 8/4/09.
//  Copyright RIT 2009. All rights reserved.
//

#include <iostream>
#include <string>
#include "libplayerc++/playerc++.h"
using namespace PlayerCc;

// Run a simple C++ player stage program on the iPhone
int main(int argc, char *argv[]) {
	std::string server = "127.0.0.1";
	int cycles = 100;	// Run for 100 cycles and exit. There is no user interface to stop c++ code
	float speed = 0;
	float turnRate = 0;
	
	try {
		
		PlayerClient robot(server);
		Position2dProxy pp(&robot, 0);
		
		pp.SetMotorEnable(true);			// Turn the motor on
		
		while(cycles > 0) {
			robot.Read();	// Read robot data
			
			printf("Speed: %5.3f\n Angle: %5.3f\nPosition: %5.3f %5.3f\n",
				   speed, turnRate,pp.GetXPos(),pp.GetYPos());
			
			// Randomly update the rotation and speed of the robot.
			turnRate = drand48();
			speed = drand48()/2.0;
			
			pp.SetSpeed(speed, turnRate);
			
			--cycles;
		}
	} catch(PlayerError p) {
		std::cout << "Robot Error: " << p.GetErrorStr() << std::endl;
	}
	
	printf("Disconnected\n");
	
    return 0;
}
