//
//  Robot.h
//  RobotSample
//
//	Feel free to modify the class and let me know what you do.
//
//  Created by Paul Solt, paulsolt@gmail.com on 4/30/09.
//  Copyright 2009 RIT. All rights reserved.



#import <UIKit/UIKit.h>
#include "libplayerc++/playerc++.h"
using namespace PlayerCc;

//		A Objective-C wrapper around C++ Player/Stage code. The robotRun: method can be
//	called on a separate thread from an Objective-C object. It can also be called on the
//	same thread, as long as the sender object defines the required @selector methods.
//		- (void) displayText:(NSString *)text;
//		- (void) connectionClosedWithMessage:(NSString *)message;
//
@interface Robot : NSObject {
	double speed;
	double turnRate;
	bool robotOn;
	NSString *server;
}


- (id)initWithServer:(NSString *)serverAddress;

// The initialization and run logic for the Player/Stage code. 
//
// *IMPORTANT*: Two methods must be defined by the (id) sender objects:
//		- (void) displayText:(NSString *)text;
//		- (void) connectionClosedWithMessage:(NSString *)message;
//	These methods provide a way for the Player/Stage code to communicate
//	with Objective-C code in the iPhone user interface.
- (void) robotRun:(id)sender;
   
@property double speed;
@property double turnRate;
@property bool robotOn;
@property (nonatomic, retain) NSString *server;

@end
